<!--
  ~ BSD 3-Clause License
  ~
  ~ Copyright (c) 2019, Michael Becker
  ~ All rights reserved.
  ~
  ~ Redistribution and use in source and binary forms, with or without
  ~ modification, are permitted provided that the following conditions are met:
  ~
  ~ * Redistributions of source code must retain the above copyright notice, this
  ~   list of conditions and the following disclaimer.
  ~
  ~ * Redistributions in binary form must reproduce the above copyright notice,
  ~   this list of conditions and the following disclaimer in the documentation
  ~   and/or other materials provided with the distribution.
  ~
  ~ * Neither the name of the copyright holder nor the names of its
  ~   contributors may be used to endorse or promote products derived from
  ~   this software without specific prior written permission.
  ~
  ~ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  ~ AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  ~ IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
  ~ DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
  ~ FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  ~ DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  ~ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  ~ CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
  ~ OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  ~ OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  ~
  -->

<!DOCTYPE html>
<html>
<head>
    <title>${title!"defaultTitle"} | ${description!"defaultDescription"}</title>

    <link rel="stylesheet" type="text/css" href="/styles/main.css"/>
</head>
<body>
<h1>${title!"defaultTitle"}</h1>
<form method="post" action="/cleanSched/update" enctype="multipart/form-data">
    <label for="name">Name</label>
    <input type="text" id="name" name="name" value="${cleanSchedule.name}"/><br/>
    <label for="hour">Hour</label>
    <input type="number" id="hour" name="hour" min="0" max="23" value="${cleanSchedule.hour}"/><br/>
    <label for="minute">Minute</label>
    <input type="number" id="minute" name="minute" min="0" max="59" value="${cleanSchedule.minute}"/><br/>
    <#list days as day>
        <label for="days${day?counter}">${day}</label>
        <input type="checkbox" name="days${day?counter}" id="days${day?counter}" ${cleanSchedule.repeatDays?seq_contains(day)?string("checked=\"checked\"","")}>
    </#list>

    <input type="hidden" name="active" value="1"/>
    <button>Submit</button>
</form>

</body>
</html>